/*
 * $Id: RSSProperties.java,v 1.1 2005/10/21 17:04:12 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * RSS/1bのリソースリーダー
 * rss.propertiesを扱う．
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class RSSProperties {
	/** プロパティリソース */
	private static ResourceBundle resource = null;

	/**
	 * 指定されたキーに対応するプロパティ値を返す．
	 * @param key キー
	 * @return 関連付けられた値(null:プロパティ定義がない)
	 */
	public static final String getString(String key) {
		loadProperties();

		String value = null;
		try {
			value = resource.getString(key);
		} catch(MissingResourceException e) {
			// リソース定義がないけど，例外投げるのは強権的なので
			// ここはひとつnullを返す
		}
		return value;
	}
	/** 
	 * プロパティリソースがまだロードされていない場合，ロードする．
	 */
	private static final void loadProperties() {
		if(resource != null) {
			return;
		}
		resource = ResourceBundle.getBundle(RSSConstant.RSS_PROPERTY_PFX);
	}
}
